# Generated by Django 2.1.7 on 2019-03-31 21:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0002_auto_20190307_2021'),
    ]

    operations = [
        migrations.CreateModel(
            name='ActivismSchoolWorkplace',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='Name')),
            ],
            options={
                'verbose_name': 'Activism School Workplace',
                'verbose_name_plural': 'Activism School Workplaces',
            },
        ),
        migrations.CreateModel(
            name='CtbRole',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='Name')),
            ],
            options={
                'verbose_name': 'UJS Manager Role',
                'verbose_name_plural': 'UJS Manager Roles',
            },
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='Name')),
            ],
            options={
                'verbose_name': 'Event',
                'verbose_name_plural': 'Events',
            },
        ),
        migrations.CreateModel(
            name='PoliticalFront',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='Name')),
            ],
            options={
                'verbose_name': 'Political Front',
                'verbose_name_plural': 'Political Fronts',
            },
        ),
        migrations.AddField(
            model_name='user',
            name='activism_school_workplace_other',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Other activism form in school and/or workplace'),
        ),
        migrations.AddField(
            model_name='user',
            name='address',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Address'),
        ),
        migrations.AddField(
            model_name='user',
            name='address_extra',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Extra information for address'),
        ),
        migrations.AddField(
            model_name='user',
            name='address_number',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Address number'),
        ),
        migrations.AddField(
            model_name='user',
            name='birth_date',
            field=models.DateField(blank=True, null=True, verbose_name='Birth Date'),
        ),
        migrations.AddField(
            model_name='user',
            name='has_mandate',
            field=models.NullBooleanField(verbose_name='Has a mandate'),
        ),
        migrations.AddField(
            model_name='user',
            name='mandate',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Mandate'),
        ),
        migrations.AddField(
            model_name='user',
            name='neighborhood',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Neighborhood'),
        ),
        migrations.AddField(
            model_name='user',
            name='phone_number',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Phone number'),
        ),
        migrations.AddField(
            model_name='user',
            name='phone_number_other',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Other phone number'),
        ),
        migrations.AddField(
            model_name='user',
            name='political_front_other',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Other political front'),
        ),
        migrations.AddField(
            model_name='user',
            name='school',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='School'),
        ),
        migrations.AddField(
            model_name='user',
            name='sexual_orientation',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Sexual orientation'),
        ),
        migrations.AddField(
            model_name='user',
            name='sexual_orientation_other',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Other sexual orientation'),
        ),
        migrations.AddField(
            model_name='user',
            name='social_facebook',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Facebook'),
        ),
        migrations.AddField(
            model_name='user',
            name='social_google',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Google'),
        ),
        migrations.AddField(
            model_name='user',
            name='social_skype',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Skype'),
        ),
        migrations.AddField(
            model_name='user',
            name='social_twitter',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='Twitter'),
        ),
        migrations.AddField(
            model_name='user',
            name='studies',
            field=models.NullBooleanField(verbose_name='Studies'),
        ),
        migrations.AddField(
            model_name='user',
            name='zipcode',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='ZIP Code'),
        ),
        migrations.AlterField(
            model_name='user',
            name='city',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='users', to='cities_light.City', verbose_name='City'),
        ),
        migrations.AlterField(
            model_name='user',
            name='country',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='users', to='cities_light.Country', verbose_name='Country'),
        ),
        migrations.AlterField(
            model_name='user',
            name='state',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='users', to='cities_light.Region', verbose_name='Region'),
        ),
        migrations.AddField(
            model_name='user',
            name='activism_school_workplace',
            field=models.ManyToManyField(blank=True, related_name='users', to='users.ActivismSchoolWorkplace', verbose_name='Activism in school and/or workplace'),
        ),
        migrations.AddField(
            model_name='user',
            name='political_front',
            field=models.ManyToManyField(blank=True, related_name='users', to='users.PoliticalFront', verbose_name='Political front'),
        ),
    ]
